Bug 206579 - Crash when trying to open the icecast directory
Summary: Crash when trying to open the icecast directory
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Internet Services (show other bugs)
Version: 2.3-GIT
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 210270 210596 210980 211388 212365 213499 213760 213791 213991 214004 214070 214512 214522 214574 214894 215018 215232 215371 215414 216178 216185 217753 219809 220395 221923 223408 224851 225309 225579 228099 228790 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-09-07 04:27 UTC by Vovochka
Modified: 2010-03-11 20:18 UTC (History)
32 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vovochka 2009-09-07 04:27:42 UTC
Application that crashed: amarok
Version of the application: 2.1.80
KDE Version: 4.3.1 (KDE 4.3.1) "release 163"
Qt Version: 4.5.2
Operating System: Linux 2.6.27.29-0.1-default x86_64
Distribution: "openSUSE 11.1 (x86_64)"

What I was doing when the application crashed:
start playing a stream.
go to internet -> icecast.org directory.
try to open something there.

 -- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f486d6b1790 (LWP 6187))]

Thread 21 (Thread 0x7f48550c5950 (LWP 6188)):
#0  0x00007f486a861fdd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f485af28631 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f485425b950 (LWP 6189)):
#0  0xffffffffff600132 in ?? ()
#1  0x00007fffbb5906fb in ?? ()
#2  0x00007f48636784ed in clock_gettime () from /lib64/librt.so.1
#3  0x00007f486c05a92d in QTimerInfoList::getTime (this=<value optimized out>, t=@0x8cd310) at kernel/qeventdispatcher_unix.cpp:339
#4  0x00007f486c05ab21 in QTimerInfoList::updateCurrentTime (this=0x7f485425ad70) at kernel/qeventdispatcher_unix.cpp:297
#5  0x00007f486c05c503 in QTimerInfoList::timerWait (this=0x7f485425ad70, tm=@0x7f485425ad70) at kernel/qeventdispatcher_unix.cpp:420
#6  0x00007f486c058f0d in timerSourcePrepare (source=<value optimized out>, timeout=0x7f485425ae64) at kernel/qeventdispatcher_glib.cpp:141
#7  0x00007f48633ec1aa in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#8  0x00007f48633ec5ca in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f48633eca8b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f486c058d5e in QEventDispatcherGlib::processEvents (this=0x8cd340, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#11 0x00007f486c02e1d2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 1411755952}) at kernel/qeventloop.cpp:149
#12 0x00007f486c02e5a4 in QEventLoop::exec (this=0x7f485425aff0, flags={i = 1411756032}) at kernel/qeventloop.cpp:201
#13 0x00007f486bf42ed8 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#14 0x00007f485b183b12 in Phonon::Xine::XineThread::run (this=0x7fb210) at /usr/src/debug/phonon-4.3.1/xine/xinethread.cpp:143
#15 0x00007f486bf45e65 in QThreadPrivate::start (arg=0x7fb210) at thread/qthread_unix.cpp:188
#16 0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#18 0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f4853850950 (LWP 6192)):
#0  0x00007f486ad96386 in poll () from /lib64/libc.so.6
#1  0x00007f48538559c1 in ?? () from /usr/lib64/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f485304f950 (LWP 6193)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f485af39c23 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f4852236950 (LWP 6194)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f485af39c23 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f484f6d6950 (LWP 6196)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f48503d1efd in os_event_wait_low (event=0x1488780, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007f48503cf189 in os_aio_simulated_handle (global_segment=0, message1=0x7f484f6d6048, message2=0x7f484f6d6040, type=0x7f484f6d6038) at ../../../innobase/os/os0file.c:4089
#3  0x00007f4850392de3 in fil_aio_wait (segment=0) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f485022a2f0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f484e6d0950 (LWP 6197)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f48503d1efd in os_event_wait_low (event=0x1488820, reset_sig_count=3) at ../../../innobase/os/os0sync.c:420
#2  0x00007f48503cf189 in os_aio_simulated_handle (global_segment=1, message1=0x7f484e6d0048, message2=0x7f484e6d0040, type=0x7f484e6d0038) at ../../../innobase/os/os0file.c:4089
#3  0x00007f4850392de3 in fil_aio_wait (segment=1) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f485022a2f0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f484decf950 (LWP 6198)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f48503d1efd in os_event_wait_low (event=0x14888c0, reset_sig_count=2) at ../../../innobase/os/os0sync.c:420
#2  0x00007f48503cf189 in os_aio_simulated_handle (global_segment=2, message1=0x7f484decf048, message2=0x7f484decf040, type=0x7f484decf038) at ../../../innobase/os/os0file.c:4089
#3  0x00007f4850392de3 in fil_aio_wait (segment=2) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f485022a2f0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f484d6ce950 (LWP 6199)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f48503d1efd in os_event_wait_low (event=0x1488960, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007f48503cf189 in os_aio_simulated_handle (global_segment=3, message1=0x7f484d6ce048, message2=0x7f484d6ce040, type=0x7f484d6ce038) at ../../../innobase/os/os0file.c:4089
#3  0x00007f4850392de3 in fil_aio_wait (segment=3) at ../../../innobase/fil/fil0fil.c:4131
#4  0x00007f485022a2f0 in io_handler_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0start.c:446
#5  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f484c1b6950 (LWP 6201)):
#0  0x00007f486ad98662 in select () from /lib64/libc.so.6
#1  0x00007f48503d233b in os_thread_sleep (tm=<value optimized out>) at ../../../innobase/os/os0thread.c:274
#2  0x00007f4850226d78 in srv_lock_timeout_and_monitor_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:1882
#3  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f484b9b5950 (LWP 6202)):
#0  0x00007f486ad98662 in select () from /lib64/libc.so.6
#1  0x00007f48503d233b in os_thread_sleep (tm=<value optimized out>) at ../../../innobase/os/os0thread.c:274
#2  0x00007f4850225b2a in srv_error_monitor_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:2106
#3  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f484b1b4950 (LWP 6203)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f48503d1efd in os_event_wait_low (event=0xcd6f80, reset_sig_count=1) at ../../../innobase/os/os0sync.c:420
#2  0x00007f4850224d5f in srv_master_thread (arg=<value optimized out>) at ../../../innobase/srv/srv0srv.c:2598
#3  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f4842a57950 (LWP 6204)):
#0  0x00007f486a861fdd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f485af366a5 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f4841c28950 (LWP 6205)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f486bf46e19 in QWaitCondition::wait (this=0x2b11978, mutex=0x22130f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f486751d644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f486751fda3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f486751fdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f486751e36f in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f486751e7c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f486bf45e65 in QThreadPrivate::start (arg=0xd19510) at thread/qthread_unix.cpp:188
#8  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f4841427950 (LWP 6206)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f486bf46e19 in QWaitCondition::wait (this=0x2b11978, mutex=0x22130f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f486751d644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f486751fda3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f486751e36f in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f486751e7c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f486bf45e65 in QThreadPrivate::start (arg=0x2bdaa20) at thread/qthread_unix.cpp:188
#7  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f4840c26950 (LWP 6207)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f486bf46e19 in QWaitCondition::wait (this=0x2b11978, mutex=0x22130f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f486751d644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f486751fda3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f486751fdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f486751e36f in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f486751e7c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f486bf45e65 in QThreadPrivate::start (arg=0x2aeebd0) at thread/qthread_unix.cpp:188
#8  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f483fa1c950 (LWP 6210)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f486bf46e19 in QWaitCondition::wait (this=0x2b11978, mutex=0x22130f0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f486751d644 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f486751fda3 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f486751fdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f486751fdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f486751fdbc in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f486751e36f in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f486751e7c9 in ThreadWeaver::Thread::run() () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f486bf45e65 in QThreadPrivate::start (arg=0x20fa050) at thread/qthread_unix.cpp:188
#10 0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f483b475950 (LWP 6219)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f485af2c19b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f485af320de in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f483ac74950 (LWP 6220)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f485af2c19b in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f485af3317e in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f482c782950 (LWP 6221)):
#0  0x00007f486a861d59 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f485af3c8fb in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f486a85e070 in start_thread () from /lib64/libpthread.so.0
#3  0x00007f486ad9f10d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f486d6b1790 (LWP 6187)):
[KCrash Handler]
#5  QMutex::lock (this=0x450020006700b5) at thread/qmutex.cpp:152
#6  0x00007f486c02f64e in QCoreApplication::postEvent (receiver=0x7eff3f0, event=0x7deb840, priority=0) at kernel/qcoreapplication.cpp:1020
#7  0x00007f486c90866d in CollectionTreeItemModelBase::queryDone (this=0x7855e00) at /usr/src/debug/amarok-2.1.80/src/browsers/CollectionTreeItemModelBase.cpp:653
#8  0x00007f486c90f72d in CollectionTreeItemModelBase::qt_metacall (this=0x7855e00, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x726bd00)
    at /usr/src/debug/amarok-2.1.80/build/src/CollectionTreeItemModelBase.moc:84
#9  0x00007f486c03f8a8 in QObject::event (this=0x7855e00, e=0x733c720) at kernel/qobject.cpp:1111
#10 0x00007f486b4cfb0d in QApplicationPrivate::notify_helper (this=0x730e70, receiver=0x7855e00, e=0x733c720) at kernel/qapplication.cpp:4056
#11 0x00007f486b4d7d9a in QApplication::notify (this=0x7fffbb51c9e0, receiver=0x7855e00, e=0x733c720) at kernel/qapplication.cpp:4021
#12 0x00007f486d1e902b in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#13 0x00007f486c02f94c in QCoreApplication::notifyInternal (this=0x7fffbb51c9e0, receiver=0x7855e00, event=0x733c720) at kernel/qcoreapplication.cpp:610
#14 0x00007f486c0305ca in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x618ca0) at kernel/qcoreapplication.h:213
#15 0x00007f486c0590b3 in postEventSourceDispatch (s=<value optimized out>) at kernel/qcoreapplication.h:218
#16 0x00007f48633e90fb in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#17 0x00007f48633ec8cd in ?? () from /usr/lib64/libglib-2.0.so.0
#18 0x00007f48633eca8b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#19 0x00007f486c058d3f in QEventDispatcherGlib::processEvents (this=0x618a50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#20 0x00007f486b566fef in QGuiEventDispatcherGlib::processEvents (this=0x450020006700b5, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#21 0x00007f486c02e1d2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = -1152267968}) at kernel/qeventloop.cpp:149
#22 0x00007f486c02e5a4 in QEventLoop::exec (this=0x7fffbb51c980, flags={i = -1152267888}) at kernel/qeventloop.cpp:201
#23 0x00007f486c030894 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#24 0x0000000000408f0a in main (argc=1, argv=0x7fffbb51e6e8) at /usr/src/debug/amarok-2.1.80/src/main.cpp:216

Reported using DrKonqi
Comment 1 Mikko C. 2009-09-11 09:19:05 UTC
is this crash reproducible?
Comment 2 Vovochka 2009-09-13 03:52:43 UTC
Yes for me. :)
Comment 3 Myriam Schweingruber 2009-09-30 15:29:36 UTC
It has nothing to do with Shoutcast: Everytime I try clicking on "Other stations" in the Icecast directory, I get exactly the same crash:

Thread 1 (Thread 0x7fbbbd652760 (LWP 21723)):
[KCrash Handler]
#5  QMutex::lock (this=0x450020006700b5) at thread/qmutex.cpp:152
#6  0x00007fbbbb2b03ae in QCoreApplication::postEvent (receiver=0x125d2300, event=0x121bb580, priority=0) at kernel/qcoreapplication.cpp:1020
#7  0x00007fbbbc78f57f in CollectionTreeItemModelBase::queryDone (this=0x125f7180) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:661
#8  0x00007fbbbc78ea23 in CollectionTreeItemModelBase::qt_metacall (this=0x125f7180, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x1206ceb0)
    at /home/myriam/kde/build/amarok/src/CollectionTreeItemModelBase.moc:86
#9  0x00007fbbbc7a46b3 in SingleCollectionTreeItemModel::qt_metacall (this=0x125f7180, _c=QMetaObject::InvokeMetaMethod, _id=22, _a=0x1206ceb0)
    at /home/myriam/kde/build/amarok/src/SingleCollectionTreeItemModel.moc:58
#10 0x00007fbbbb2c05d8 in QObject::event (this=0x125f7180, e=0xaef6f50) at kernel/qobject.cpp:1111
#11 0x00007fbbbbbbcf4d in QApplicationPrivate::notify_helper (this=0xb80340, receiver=0x125f7180, e=0xaef6f50) at kernel/qapplication.cpp:4056
#12 0x00007fbbbbbc518a in QApplication::notify (this=0x7fffc56a3bc0, receiver=0x125f7180, e=0xaef6f50) at kernel/qapplication.cpp:4021
#13 0x00007fbbbd08ddeb in KApplication::notify (this=0x7fffc56a3bc0, receiver=0x125f7180, event=0xaef6f50) at /build/buildd/kde4libs-4.3.1/kdeui/kernel/kapplication.cpp:302
#14 0x00007fbbbb2b06ac in QCoreApplication::notifyInternal (this=0x7fffc56a3bc0, receiver=0x125f7180, event=0xaef6f50) at kernel/qcoreapplication.cpp:610
#15 0x00007fbbbb2b131a in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xa54d50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#16 0x00007fbbbb2d9e03 in postEventSourceDispatch (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#17 0x00007fbbb31b720a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#18 0x00007fbbb31ba8e0 in ?? () from /usr/lib/libglib-2.0.so.0
#19 0x00007fbbb31baa7c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#20 0x00007fbbbb2d9a8f in QEventDispatcherGlib::processEvents (this=0xa545a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#21 0x00007fbbbbc55bdf in QGuiEventDispatcherGlib::processEvents (this=0x450020006700b5, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#22 0x00007fbbbb2b1769 in QCoreApplication::processEvents (flags={i = -982935568}) at kernel/qcoreapplication.cpp:803
#23 0x00007fbbb621d49f in QScriptEnginePrivate::processEvents (this=0x5775580) at qscriptengine_p.cpp:2198
#24 0x00007fbbb6208da5 in QScriptContextPrivate::execute (this=0x5f5e560, code=0x125d3150) at qscriptcontext_p.cpp:818
#25 0x00007fbbb62147f2 in QScript::ScriptFunction::execute (this=0x5841a00, context=0x5f5e560) at qscriptcontext_p.cpp:323
#26 0x00007fbbb6274c01 in QScript::QObjectConnectionManager::execute (this=0x6b88610, slotIndex=<value optimized out>, argv=0x7fffc569d2d0) at qscriptextqobject.cpp:1692
#27 0x00007fbbb62751dd in QScript::QObjectConnectionManager::qt_metacall (this=0x6b88610, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffc569d2d0) at qscriptextqobject.cpp:1592
#28 0x00007fbbbb2c5ea2 in QMetaObject::activate (sender=0x5812e70, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x1) at kernel/qobject.cpp:3113
#29 0x00007fbbbc9a793e in ScriptableServiceScript::populate (this=0x5812e70, _t1=0, _t2=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc569d360, static codecForCStrings = 0xb43400}, _t3=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc569d350, static codecForCStrings = 0xb43400}) at /home/myriam/kde/build/amarok/src/AmarokScriptableServiceScript.moc:214
#30 0x00007fbbbc9a826d in ScriptableServiceScript::slotPopulate (this=0x5812e70, name=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc569d3d0, static codecForCStrings = 0xb43400}, level=0, parent_id=1, callbackData=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc569d3c0, static codecForCStrings = 0xb43400}, filter=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc569d3b0, static codecForCStrings = 0xb43400}) at /home/myriam/kde/src/amarok/src/scriptengine/AmarokScriptableServiceScript.cpp:217
#31 0x00007fbbbca5561b in ScriptManager::ServiceScriptPopulate (this=0x1975de0, name=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc569d470, static codecForCStrings = 0xb43400}, level=0, parent_id=1, path=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc569d460, static codecForCStrings = 0xb43400}, filter=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc569d450, static codecForCStrings = 0xb43400}) at /home/myriam/kde/src/amarok/src/dialogs/ScriptManager.cpp:463
#32 0x00007fbbbc777367 in ScriptableServiceQueryMaker::fetchTracks (this=0x1380ad30) at /home/myriam/kde/src/amarok/src/services/scriptable/ScriptableServiceQueryMaker.cpp:348
#33 0x00007fbbbc7789a4 in ScriptableServiceQueryMaker::run (this=0x1380ad30) at /home/myriam/kde/src/amarok/src/services/scriptable/ScriptableServiceQueryMaker.cpp:112
#34 0x00007fbbbc791aa4 in CollectionTreeItemModelBase::listForLevel (this=0x125f7180, level=1, qm=0x1380ad30, parent=0x121a1ff0)
    at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:436
#35 0x00007fbbbc791c93 in CollectionTreeItemModelBase::ensureChildrenLoaded (this=0x125f7180, item=0x121a1ff0) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:336
#36 0x00007fbbbc7a479b in SingleCollectionTreeItemModel::fetchMore (this=0x125f7180, parent=@0x7fffc569d6e0) at /home/myriam/kde/src/amarok/src/browsers/SingleCollectionTreeItemModel.cpp:127
#37 0x00007fbbbc131a6a in QSortFilterProxyModel::fetchMore (this=0x1, parent=<value optimized out>) at itemviews/qsortfilterproxymodel.cpp:1855
#38 0x00007fbbbc0f21ff in QTreeViewPrivate::layout (this=0x6cedc80, i=2) at itemviews/qtreeview.cpp:3112
#39 0x00007fbbbc0f2542 in QTreeViewPrivate::expand (this=0x6cedc80, item=2, emitSignal=true) at itemviews/qtreeview.cpp:2885
#40 0x00007fbbbc0f3aa9 in QTreeView::expand (this=0x6cedb60, index=@0x7fffc569da50) at itemviews/qtreeview.cpp:758
#41 0x00007fbbbc79ca38 in CollectionTreeView::slotExpand (this=0x6cedb60, index=@0x7fffc569dc70) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeView.cpp:573
#42 0x00007fbbbc79dbdc in CollectionTreeView::qt_metacall (this=0x6cedb60, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x7fffc569dc00) at /home/myriam/kde/build/amarok/src/CollectionTreeView.moc:107
#43 0x00007fbbbb2c5ea2 in QMetaObject::activate (sender=0x125f7180, from_signal_index=<value optimized out>, to_signal_index=20, argv=0x1) at kernel/qobject.cpp:3113
#44 0x00007fbbbc78dde9 in CollectionTreeItemModelBase::expandIndex (this=0x125f7180, _t1=@0x7fffc569dc70) at /home/myriam/kde/build/amarok/src/CollectionTreeItemModelBase.moc:105
#45 0x00007fbbbc78e6f8 in CollectionTreeItemModelBase::slotFilter (this=0x125f7180) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:983
#46 0x00007fbbbc78ea7b in CollectionTreeItemModelBase::qt_metacall (this=0x125f7180, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0x7fffc569dde0)
    at /home/myriam/kde/build/amarok/src/CollectionTreeItemModelBase.moc:88
#47 0x00007fbbbc7a46b3 in SingleCollectionTreeItemModel::qt_metacall (this=0x125f7180, _c=QMetaObject::InvokeMetaMethod, _id=24, _a=0x7fffc569dde0)
    at /home/myriam/kde/build/amarok/src/SingleCollectionTreeItemModel.moc:58
#48 0x00007fbbbb2c5ea2 in QMetaObject::activate (sender=0x6cff940, from_signal_index=<value optimized out>, to_signal_index=5, argv=0x1) at kernel/qobject.cpp:3113
#49 0x00007fbbbc930744 in Amarok::Collection::updated (this=0x6cff940) at /home/myriam/kde/build/amarok/src/Collection.moc:157
#50 0x00007fbbbc76256d in Amarok::Collection::collectionUpdated (this=0x6cff940) at /home/myriam/kde/src/amarok/src/collection/Collection.h:179
#51 0x00007fbbbc76b142 in ScriptableServiceCollection::donePopulating (this=0x6cff940, parentId=4) at /home/myriam/kde/src/amarok/src/services/scriptable/ScriptableServiceCollection.cpp:54
#52 0x00007fbbbc7652d2 in ScriptableService::donePopulating (this=0x6ced000, parentId=4) at /home/myriam/kde/src/amarok/src/services/scriptable/ScriptableService.cpp:356
#53 0x00007fbbbc76ec6a in ScriptableServiceManager::donePopulating (this=0x194eb20, serviceName=@0x5812e98, parentId=4)
    at /home/myriam/kde/src/amarok/src/services/scriptable/ScriptableServiceManager.cpp:102
#54 0x00007fbbbc9a887e in ScriptableServiceScript::donePopulating (this=0x5812e70) at /home/myriam/kde/src/amarok/src/scriptengine/AmarokScriptableServiceScript.cpp:208
#55 0x00007fbbbc9a8c32 in ScriptableServiceScript::qt_metacall (this=0x5812e70, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7fffc569eda0)
    at /home/myriam/kde/build/amarok/src/AmarokScriptableServiceScript.moc:198
#56 0x00007fbbb6271451 in callQtMethod (context=0x584ee40, callType=QMetaMethod::Method, thisQObject=0x5812e70, meta=0x7fbbbce65000, initialIndex=9, maybeOverloaded=true) at qscriptextqobject.cpp:729
#57 0x00007fbbb627373e in QScript::QtFunction::execute (this=0x1a11960, context=0x584ee40) at qscriptextqobject.cpp:1893
#58 0x00007fbbb6208c5e in QScriptContextPrivate::execute (this=0x44a9d50, code=0x125d3150) at qscriptcontext_p.cpp:793
#59 0x00007fbbb62147f2 in QScript::ScriptFunction::execute (this=0x5841a00, context=0x44a9d50) at qscriptcontext_p.cpp:323
#60 0x00007fbbb6274c01 in QScript::QObjectConnectionManager::execute (this=0x6b88610, slotIndex=<value optimized out>, argv=0x7fffc56a2990) at qscriptextqobject.cpp:1692
#61 0x00007fbbb62751dd in QScript::QObjectConnectionManager::qt_metacall (this=0x6b88610, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffc56a2990) at qscriptextqobject.cpp:1592
#62 0x00007fbbbb2c5ea2 in QMetaObject::activate (sender=0x5812e70, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x1) at kernel/qobject.cpp:3113
#63 0x00007fbbbc9a793e in ScriptableServiceScript::populate (this=0x5812e70, _t1=0, _t2=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc56a2a20, static codecForCStrings = 0xb43400}, _t3=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc56a2a10, static codecForCStrings = 0xb43400}) at /home/myriam/kde/build/amarok/src/AmarokScriptableServiceScript.moc:214
#64 0x00007fbbbc9a826d in ScriptableServiceScript::slotPopulate (this=0x5812e70, name=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc56a2a90, static codecForCStrings = 0xb43400}, level=0, parent_id=4, callbackData=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc56a2a80, static codecForCStrings = 0xb43400}, filter=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc56a2a70, static codecForCStrings = 0xb43400}) at /home/myriam/kde/src/amarok/src/scriptengine/AmarokScriptableServiceScript.cpp:217
#65 0x00007fbbbca5561b in ScriptManager::ServiceScriptPopulate (this=0x1975de0, name=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc56a2b30, static codecForCStrings = 0xb43400}, level=0, parent_id=4, path=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc56a2b20, static codecForCStrings = 0xb43400}, filter=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 164547}, alloc = 0, size = 0, data = 0x60915a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 2045}, alloc = 0, size = 0, data = 0x7fbbbb5a385a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fffc56a2b10, static codecForCStrings = 0xb43400}) at /home/myriam/kde/src/amarok/src/dialogs/ScriptManager.cpp:463
#66 0x00007fbbbc777367 in ScriptableServiceQueryMaker::fetchTracks (this=0x125d2300) at /home/myriam/kde/src/amarok/src/services/scriptable/ScriptableServiceQueryMaker.cpp:348
#67 0x00007fbbbc7789a4 in ScriptableServiceQueryMaker::run (this=0x125d2300) at /home/myriam/kde/src/amarok/src/services/scriptable/ScriptableServiceQueryMaker.cpp:112
#68 0x00007fbbbc791aa4 in CollectionTreeItemModelBase::listForLevel (this=0x125f7180, level=1, qm=0x125d2300, parent=0x121a6a40)
    at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:436
#69 0x00007fbbbc791c93 in CollectionTreeItemModelBase::ensureChildrenLoaded (this=0x125f7180, item=0x121a6a40) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:336
#70 0x00007fbbbc7a479b in SingleCollectionTreeItemModel::fetchMore (this=0x125f7180, parent=@0x7fffc56a2da0) at /home/myriam/kde/src/amarok/src/browsers/SingleCollectionTreeItemModel.cpp:127
#71 0x00007fbbbc131a6a in QSortFilterProxyModel::fetchMore (this=0x1, parent=<value optimized out>) at itemviews/qsortfilterproxymodel.cpp:1855
#72 0x00007fbbbc0f21ff in QTreeViewPrivate::layout (this=0x6cedc80, i=3) at itemviews/qtreeview.cpp:3112
#73 0x00007fbbbc0f2542 in QTreeViewPrivate::expand (this=0x6cedc80, item=3, emitSignal=true) at itemviews/qtreeview.cpp:2885
#74 0x00007fbbbc0f3aa9 in QTreeView::expand (this=0x6cedb60, index=@0x6cedc50) at itemviews/qtreeview.cpp:758
#75 0x00007fbbbc79da67 in CollectionTreeView::slotClickTimeout (this=0x6cedb60) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeView.cpp:382
#76 0x00007fbbbc79dc2a in CollectionTreeView::qt_metacall (this=0x6cedb60, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0x7fffc56a31f0) at /home/myriam/kde/build/amarok/src/CollectionTreeView.moc:111
#77 0x00007fbbbb2c5ea2 in QMetaObject::activate (sender=0x6cedc30, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x1) at kernel/qobject.cpp:3113
#78 0x00007fbbbb2c0263 in QObject::event (this=0x6cedc30, e=0x121bb580) at kernel/qobject.cpp:1075
#79 0x00007fbbbbbbcf4d in QApplicationPrivate::notify_helper (this=0xb80340, receiver=0x6cedc30, e=0x7fffc56a38a0) at kernel/qapplication.cpp:4056
#80 0x00007fbbbbbc518a in QApplication::notify (this=0x7fffc56a3bc0, receiver=0x6cedc30, e=0x7fffc56a38a0) at kernel/qapplication.cpp:4021
#81 0x00007fbbbd08ddeb in KApplication::notify (this=0x7fffc56a3bc0, receiver=0x6cedc30, event=0x7fffc56a38a0) at /build/buildd/kde4libs-4.3.1/kdeui/kernel/kapplication.cpp:302
#82 0x00007fbbbb2b06ac in QCoreApplication::notifyInternal (this=0x7fffc56a3bc0, receiver=0x6cedc30, event=0x7fffc56a38a0) at kernel/qcoreapplication.cpp:610
#83 0x00007fbbbb2dd516 in QTimerInfoList::activateTimers (this=0xb7b520) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#84 0x00007fbbbb2d9b2d in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:165
#85 0x00007fbbb31b720a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#86 0x00007fbbb31ba8e0 in ?? () from /usr/lib/libglib-2.0.so.0
#87 0x00007fbbb31baa7c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#88 0x00007fbbbb2d9a8f in QEventDispatcherGlib::processEvents (this=0xa545a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#89 0x00007fbbbbc55bdf in QGuiEventDispatcherGlib::processEvents (this=0x450020006700b5, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#90 0x00007fbbbb2aef42 in QEventLoop::processEvents (this=<value optimized out>, flags={i = -982893808}) at kernel/qeventloop.cpp:149
#91 0x00007fbbbb2af314 in QEventLoop::exec (this=0x7fffc56a3b50, flags={i = -982893728}) at kernel/qeventloop.cpp:201
#92 0x00007fbbbb2b15e4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#93 0x0000000000405fb6 in main (argc=3, argv=0x7fffc56a59a8) at /home/myriam/kde/src/amarok/src/main.cpp:227
Comment 4 Tomislav Skunca 2009-10-05 15:28:15 UTC
Confirming this bug on an up-to-date Sid Debian (PPC64) with the 2.2.0-1 version of Amarok.
Comment 5 Mark Kretschmann 2009-10-12 08:11:31 UTC
*** Bug 210270 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2009-10-14 23:19:38 UTC
*** Bug 210596 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2009-10-18 17:12:10 UTC
*** Bug 210980 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2009-10-21 10:00:57 UTC
*** Bug 209649 has been marked as a duplicate of this bug. ***
Comment 9 Maximilian Kossick 2009-10-21 11:50:06 UTC
It does not look like 209649 has anything in common with this bug, it
has a completely different backtrace. Are you sure that you selected
the right bug?
Comment 10 Myriam Schweingruber 2009-10-22 01:08:49 UTC
*** Bug 211388 has been marked as a duplicate of this bug. ***
Comment 11 Myriam Schweingruber 2009-10-30 18:31:57 UTC
*** Bug 212365 has been marked as a duplicate of this bug. ***
Comment 12 Mark Kretschmann 2009-11-02 10:16:53 UTC
I cannot reproduce this crash any more with the latest 2.2-GIT code. I did extensive testing with the Icecast Directory script, there was not a single crash.

I assume it has been fixed.
Comment 13 Mark Kretschmann 2009-11-02 10:37:29 UTC
I take that back. It has just crashed on me:


amarok:                 END__: void ScriptableServiceQueryMaker::fetchAlbums() - Took 5.6e-05s
amarok:               END__: virtual void ScriptableServiceQueryMaker::run() - Took 0.00011s
amarok:             END__: void ScriptableServiceCollection::donePopulating(int) - Took 0.00087s
amarok:           END__: void ScriptableService::donePopulating(int) - Took 0.00092s
amarok:         END__: void ScriptableServiceManager::donePopulating(const QString&, int) - Took 0.00098s
amarok:       END__: int ScriptableServiceScript::donePopulating() const - Took 0.001s
amarok:     END__: void ScriptableServiceScript::slotPopulate(QString, int, int, QString, QString) - Took 0.28s
amarok:   END__: void ScriptableServiceQueryMaker::fetchTracks() - Took 0.28s
amarok: END__: virtual void ScriptableServiceQueryMaker::run() - Took 0.28s
QPainter::begin: Cannot paint on a null pixmap
QPainter::translate: Painter not active
QPainter::end: Painter not active, aborted
KCrash: Application 'amarok' crashing...
Comment 14 Mark Kretschmann 2009-11-02 10:39:06 UTC
Backtrace:


Thread 1 (Thread 0x7fbdbe9677a0 (LWP 18679)):
[KCrash Handler]
#5  QMutex::lock (this=0x450020006700b5) at thread/qmutex.cpp:152
#6  0x00007fbdbbccb932 in QCoreApplication::postEvent (receiver=0x2b05fa0, event=0x7fd1350, priority=0) at kernel/qcoreapplication.cpp:1020
#7  0x00007fbdbd9b601a in CollectionTreeItemModelBase::queryDone (this=0x2b2fe00) at /home/mark/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:663
#8  0x00007fbdbd9b84bb in CollectionTreeItemModelBase::qt_metacall (this=0x2b2fe00, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0x80298d0)
    at /home/mark/kde/build/amarok/src/CollectionTreeItemModelBase.moc:86
#9  0x00007fbdbd9d288b in SingleCollectionTreeItemModel::qt_metacall (this=0x2b2fe00, _c=QMetaObject::InvokeMetaMethod, _id=22, _a=0x80298d0)
    at /home/mark/kde/build/amarok/src/SingleCollectionTreeItemModel.moc:58
#10 0x00007fbdbbcdb0f9 in QObject::event (this=0x2b2fe00, e=0x8341620) at kernel/qobject.cpp:1111
#11 0x00007fbdbc85cefc in QApplicationPrivate::notify_helper (this=0x22b7f80, receiver=0x2b2fe00, e=0x8341620) at kernel/qapplication.cpp:4056
#12 0x00007fbdbc8641ce in QApplication::notify (this=0x7fffbfb292b0, receiver=0x2b2fe00, e=0x8341620) at kernel/qapplication.cpp:4021
#13 0x00007fbdbe4e5ab6 in KApplication::notify (this=0x7fffbfb292b0, receiver=0x2b2fe00, event=0x8341620) at ../../kdeui/kernel/kapplication.cpp:302
#14 0x00007fbdbbccbc2c in QCoreApplication::notifyInternal (this=0x7fffbfb292b0, receiver=0x2b2fe00, event=0x8341620) at kernel/qcoreapplication.cpp:610
#15 0x00007fbdbbccc80a in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x217cb10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#16 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x217cb10) at kernel/qcoreapplication.cpp:1247
#17 0x00007fbdbbcf4533 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#18 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:210
#19 0x00007fbdb44cebbe in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#20 0x00007fbdb44d2588 in ?? () from /lib/libglib-2.0.so.0
#21 0x00007fbdb44d26b0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#22 0x00007fbdbbcf41a6 in QEventDispatcherGlib::processEvents (this=0x217c770, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#23 0x00007fbdbc8f14be in QGuiEventDispatcherGlib::processEvents (this=0x450020006700b5, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#24 0x00007fbdbbcca532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#25 0x00007fbdbbcca904 in QEventLoop::exec (this=0x7fffbfb29250, flags=) at kernel/qeventloop.cpp:201
#26 0x00007fbdbbcccab9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#27 0x0000000000409366 in main (argc=4, argv=0x7fffbfb2b0a8) at /home/mark/kde/src/amarok/src/main.cpp:227
Comment 15 Mark Kretschmann 2009-11-02 12:35:17 UTC
I think I've fixed it now:


commit f565187a1e81e28304d71304b7593b3d0d2ae6e9
Author: Mark Kretschmann <kretschmann@kde.org>
Date:   Mon Nov 2 12:30:48 2009 +0100

    Fix crashes with Icecast script and other service scripts.

    Since the QueryMaker was already set to autoDelete, I don't think we
    should delete it again. This deletion often triggered a double-free, as
    far as I can tell. Max, if you think this is wrong, please let me know.

    BUG: 206579
Comment 16 Myriam Schweingruber 2009-11-09 10:58:32 UTC
*** Bug 213760 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2009-11-09 11:00:46 UTC
*** Bug 213499 has been marked as a duplicate of this bug. ***
Comment 18 Myriam Schweingruber 2009-11-09 11:07:32 UTC
*** Bug 213791 has been marked as a duplicate of this bug. ***
Comment 19 Myriam Schweingruber 2009-11-10 23:31:53 UTC
*** Bug 213991 has been marked as a duplicate of this bug. ***
Comment 20 Myriam Schweingruber 2009-11-10 23:32:37 UTC
*** Bug 214004 has been marked as a duplicate of this bug. ***
Comment 21 Myriam Schweingruber 2009-11-11 10:55:57 UTC
*** Bug 214070 has been marked as a duplicate of this bug. ***
Comment 22 Dario Andres 2009-11-14 14:29:09 UTC
*** Bug 214512 has been marked as a duplicate of this bug. ***
Comment 23 Dario Andres 2009-11-14 15:37:16 UTC
*** Bug 214522 has been marked as a duplicate of this bug. ***
Comment 24 Myriam Schweingruber 2009-11-15 21:23:38 UTC
*** Bug 214574 has been marked as a duplicate of this bug. ***
Comment 25 Myriam Schweingruber 2009-11-17 01:03:41 UTC
*** Bug 214894 has been marked as a duplicate of this bug. ***
Comment 26 Myriam Schweingruber 2009-11-17 21:45:48 UTC
*** Bug 215018 has been marked as a duplicate of this bug. ***
Comment 27 Myriam Schweingruber 2009-11-19 11:41:26 UTC
*** Bug 215232 has been marked as a duplicate of this bug. ***
Comment 28 Myriam Schweingruber 2009-11-20 12:55:24 UTC
*** Bug 215371 has been marked as a duplicate of this bug. ***
Comment 29 Myriam Schweingruber 2009-11-20 16:14:27 UTC
*** Bug 215414 has been marked as a duplicate of this bug. ***
Comment 30 Myriam Schweingruber 2009-11-26 00:31:38 UTC
*** Bug 216178 has been marked as a duplicate of this bug. ***
Comment 31 Myriam Schweingruber 2009-11-26 10:45:40 UTC
*** Bug 216185 has been marked as a duplicate of this bug. ***
Comment 32 Myriam Schweingruber 2009-12-07 19:46:59 UTC
*** Bug 217753 has been marked as a duplicate of this bug. ***
Comment 33 Myriam Schweingruber 2009-12-23 12:27:08 UTC
*** Bug 219809 has been marked as a duplicate of this bug. ***
Comment 34 Mikko C. 2009-12-28 16:19:07 UTC
*** Bug 220395 has been marked as a duplicate of this bug. ***
Comment 35 Myriam Schweingruber 2010-01-09 16:36:14 UTC
*** Bug 221923 has been marked as a duplicate of this bug. ***
Comment 36 Myriam Schweingruber 2010-01-19 19:10:27 UTC
*** Bug 223408 has been marked as a duplicate of this bug. ***
Comment 37 Myriam Schweingruber 2010-01-30 10:12:24 UTC
*** Bug 224851 has been marked as a duplicate of this bug. ***
Comment 38 Myriam Schweingruber 2010-02-03 09:44:53 UTC
*** Bug 225309 has been marked as a duplicate of this bug. ***
Comment 39 Myriam Schweingruber 2010-02-05 09:04:14 UTC
*** Bug 225579 has been marked as a duplicate of this bug. ***
Comment 40 Myriam Schweingruber 2010-02-22 21:35:24 UTC
*** Bug 228099 has been marked as a duplicate of this bug. ***
Comment 41 Myriam Schweingruber 2010-02-28 10:21:37 UTC
*** Bug 228790 has been marked as a duplicate of this bug. ***
Comment 42 ken Johnson 2010-03-11 20:18:05 UTC
Let's re-open this case for a moment.

My amarok played normally until a couple of days ago when it started to have horrendous crashes from code 11 segmentation faults. The situation was so severe I counted fifteen plus segmentation crashes in forty minutes during one session before I stopped counting.

Yesterday, besides having segmentation faults, amarok began skipping down the playlist from one station to another and would not stop skipping until I looged amarok off.

Today, Mar 11 2010, amarok would not play for me but skipped starting off from station to station ( without any audio ) ... Why does it do this? amarok 2.2.2 has been touted, to me at least, as having the segmentation bugs removed but they are still there.

ken pebmich@comcast.net